com.mockobjects.dynamic

## Class CallBag

- java.lang.Object
- - com.mockobjects.dynamic.CallCollection
  - - com.mockobjects.dynamic.CallBag

All Implemented Interfaces:
  Callable, CallableAddable, Verifiable

    public class CallBag
    extends CallCollection
    implements Callable, CallableAddable

### Constructor Summary

Constructors
Constructor and Description
`CallBag()`

### Method Summary

Methods
`void` `addExpect(Callable call)`
`void` `addMatch(Callable call)`
`java.lang.Object` `call(Mock mock, java.lang.String methodName, java.lang.Object[] args)`
`java.lang.String` `getDescription()`
`boolean` `matches(java.lang.String methodName, java.lang.Object[] args)`
`void` `reset()` Resets all expected calls and expected matches.
`void` `verify()` Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallBag

    public CallBag()

### Method Detail

#### reset

    public void reset()

Description copied from interface: `CallableAddable`
Resets all expected calls and expected matches.

Specified by:
  `reset` in interface `CallableAddable`

#### call

    public java.lang.Object call(Mock mock,
                        java.lang.String methodName,
                        java.lang.Object[] args)
                          throws java.lang.Throwable

Specified by:
  `call` in interface `Callable`
Throws:
  `java.lang.Throwable`

#### getDescription

    public java.lang.String getDescription()

Specified by:
  `getDescription` in interface `Callable`

#### matches

    public boolean matches(java.lang.String methodName,
                  java.lang.Object[] args)

Specified by:
  `matches` in interface `Callable`

#### verify

    public void verify()

Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`

#### addExpect

    public void addExpect(Callable call)

Specified by:
  `addExpect` in interface `CallableAddable`

#### addMatch

    public void addMatch(Callable call)

Specified by:
  `addMatch` in interface `CallableAddable`